### Function

# Secret password_storev

#### Declaration [src]

    void
    secret_password_storev (
      const SecretSchema* schema,
      GHashTable* attributes,
      const gchar* collection,
      const gchar* label,
      const gchar* password,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Store a password in the secret service.

The `attributes` should be a set of key and value string pairs.

If the attributes match a secret item already stored in the collection, then the item will be updated with these new values.

If `collection` is `NULL`, then the default collection will be used. Use `SECRET_COLLECTION_SESSION` to store the password in the session collection, which doesn’t get stored across login sessions.

This method will return immediately and complete asynchronously.

This function is renamed to `secret_password_store()` in language bindings

#### Parameters

`schema` | `SecretSchema`
| The schema for attributes.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`attributes` | `GHashTable`
| The attribute keys and values.
| The called function takes ownership of the data, and is responsible for freeing it.
`collection` | `const gchar*`
| A collection alias, or D-Bus object path of the collection where to store the secret.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`label` | `const gchar*`
| Label for the secret.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`password` | `const gchar*`
| The null-terminated password to store.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| Called when the operation completes.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Data to be passed to the callback.
| The argument can be `NULL`.
| The data is owned by the caller of the function.